elasticsearch2: drop unsupported version
This commit is contained in:
parent
bedf471a08
commit
1b2b62ba79
|
@ -1,40 +0,0 @@
|
|||
{ stdenv, fetchurl, makeWrapper, jre, utillinux }:
|
||||
|
||||
with stdenv.lib;
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
version = "2.4.4";
|
||||
name = "elasticsearch-${version}";
|
||||
|
||||
src = fetchurl {
|
||||
url = "https://download.elasticsearch.org/elasticsearch/release/org/elasticsearch/distribution/tar/elasticsearch/${version}/${name}.tar.gz";
|
||||
sha256 = "1qjq04sfqb35pf2xpvr8j5p27chfxpjp8ymrp1h5bfk5rbk9444q";
|
||||
};
|
||||
|
||||
patches = [ ./es-home-2.x.patch ./es-classpath-2.x.patch ];
|
||||
|
||||
buildInputs = [ makeWrapper jre utillinux ];
|
||||
|
||||
installPhase = ''
|
||||
mkdir -p $out
|
||||
cp -R bin config lib modules $out
|
||||
|
||||
# don't want to have binary with name plugin
|
||||
mv $out/bin/plugin $out/bin/elasticsearch-plugin
|
||||
wrapProgram $out/bin/elasticsearch \
|
||||
--prefix ES_CLASSPATH : "$out/lib/${name}.jar":"$out/lib/*" \
|
||||
--prefix PATH : "${utillinux}/bin" \
|
||||
--set JAVA_HOME "${jre}"
|
||||
wrapProgram $out/bin/elasticsearch-plugin --set JAVA_HOME "${jre}"
|
||||
'';
|
||||
|
||||
meta = {
|
||||
description = "Open Source, Distributed, RESTful Search Engine";
|
||||
license = licenses.asl20;
|
||||
platforms = platforms.unix;
|
||||
maintainers = [
|
||||
maintainers.offline
|
||||
maintainers.markWot
|
||||
];
|
||||
};
|
||||
}
|
|
@ -1,38 +0,0 @@
|
|||
diff -rupN a/bin/elasticsearch b/bin/elasticsearch
|
||||
--- a/bin/elasticsearch 2017-02-08 18:32:28.000298543 -0500
|
||||
+++ b/bin/elasticsearch 2017-02-08 19:10:45.692916675 -0500
|
||||
@@ -81,12 +81,7 @@ ES_HOME=`cd "$ES_HOME"; pwd`
|
||||
# If an include wasn't specified in the environment, then search for one...
|
||||
if [ "x$ES_INCLUDE" = "x" ]; then
|
||||
# Locations (in order) to use when searching for an include file.
|
||||
- for include in /usr/share/elasticsearch/elasticsearch.in.sh \
|
||||
- /usr/local/share/elasticsearch/elasticsearch.in.sh \
|
||||
- /opt/elasticsearch/elasticsearch.in.sh \
|
||||
- ~/.elasticsearch.in.sh \
|
||||
- "$ES_HOME/bin/elasticsearch.in.sh" \
|
||||
- "`dirname "$0"`"/elasticsearch.in.sh; do
|
||||
+ for include in "`dirname "$0"`"/elasticsearch.in.sh; do
|
||||
if [ -r "$include" ]; then
|
||||
. "$include"
|
||||
break
|
||||
diff -rupN a/bin/elasticsearch.in.sh b/bin/elasticsearch.in.sh
|
||||
--- a/bin/elasticsearch.in.sh 2017-02-08 18:32:28.000298543 -0500
|
||||
+++ b/bin/elasticsearch.in.sh 2017-02-08 18:33:46.816634599 -0500
|
||||
@@ -1,17 +1,5 @@
|
||||
#!/bin/sh
|
||||
|
||||
-# check in case a user was using this mechanism
|
||||
-if [ "x$ES_CLASSPATH" != "x" ]; then
|
||||
- cat >&2 << EOF
|
||||
-Error: Don't modify the classpath with ES_CLASSPATH. Best is to add
|
||||
-additional elements via the plugin mechanism, or if code must really be
|
||||
-added to the main classpath, add jars to lib/ (unsupported).
|
||||
-EOF
|
||||
- exit 1
|
||||
-fi
|
||||
-
|
||||
-ES_CLASSPATH="$ES_HOME/lib/elasticsearch-2.4.4.jar:$ES_HOME/lib/*"
|
||||
-
|
||||
if [ "x$ES_MIN_MEM" = "x" ]; then
|
||||
ES_MIN_MEM=256m
|
||||
fi
|
|
@ -1,31 +0,0 @@
|
|||
diff -rupN a/bin/elasticsearch b/bin/elasticsearch
|
||||
--- a/bin/elasticsearch 2015-11-18 21:48:18.000000000 +0100
|
||||
+++ b/bin/elasticsearch 2015-12-04 00:52:21.032475098 +0100
|
||||
@@ -72,7 +72,11 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
||||
diff -rupN a/bin/plugin b/bin/plugin
|
||||
--- a/bin/plugin 2015-11-18 21:48:18.000000000 +0100
|
||||
+++ b/bin/plugin 2015-12-04 00:52:55.947453619 +0100
|
||||
@@ -17,7 +17,10 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
|
@ -2272,9 +2272,7 @@ with pkgs;
|
|||
elk5Version = "5.6.9";
|
||||
elk6Version = "6.3.2";
|
||||
|
||||
elasticsearch2 = callPackage ../servers/search/elasticsearch/2.x.nix { };
|
||||
elasticsearch5 = callPackage ../servers/search/elasticsearch/5.x.nix { };
|
||||
|
||||
elasticsearch6 = callPackage ../servers/search/elasticsearch { };
|
||||
elasticsearch6-oss = callPackage ../servers/search/elasticsearch {
|
||||
enableUnfree = false;
|
||||
|
|
Loading…
Reference in New Issue